Skip to main content

Get Powertrain Data

Description

Retrieve source data from the powertrain, including battery pack voltage, engine RPM, oil temperature, and cumulative operating time.

Endpoint

GET https://api.pleos.ai/v1/vehicles/{vin}/powertrains/data

Request

curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/powertrains/data?startDate=20250825&endDate=20250901&zoneId=UTC" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"

Header Params

ParameterTypeDescriptionRequired
AuthorizationstringAccess tokenRequired
BrandstringVehicle brand (hyundai/kia/genesis)Required

Path Params

ParameterTypeDescriptionRequired
vinstringVINRequired

Query Params

ParameterTypeDescriptionRequiredDefault
startDatestringyyyyMMddRequiredNone
endDatestringyyyyMMdd (Can only retrieve up to 7 days from the start date)RequiredNone
zoneIdstringTimezone IdOptionalUTC

Response

Success

200
{
"data": {
"trips": [
{
"triggerStartTime": "2025-09-01T10:00:00.000Z",
"tripLength": 10000,
"batteries": {
"hv": {
"voltage": [
263.1, 262.7, 262.5, 262.6, 262.5, 262.4, 262.4, 262.3, 262.1,
262.1
]
}
},
"engine": {
"oilTemperature": [
29, 29, 29, 29, 29, 29, 28.25, 28.25, 28.25, 28.25
],
"rpm": [0, 122, 1153, 1279, 1320, 1250, 1172, 1173, 520, 0]
}
}
]
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
tripsarray of objectTrip data
└──── triggerStartTimestringEngine start time yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
└──── tripLengthlongDriving trip length (unit: ms)
└──── batteriesobjectBattery information
└─────── hvobjectHigh-voltage battery information
└────────── voltagearray of numberMaximum voltage of battery pack (unit: V, range: 0~6553)
└──── engineobjectEngine information
└─────── oilTemperaturearray of numberEngine oil temperature (unit: °C, range: 0~150.5)
└─────── rpmarray of numberEngine speed (unit: rpm, range: 0~16383.5)

Failure

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For details on error code in case of failure, refer to Error Code.